Bug 457331 - Dolphin/Konqueror won't load after update to 4.0.99
Dolphin/Konqueror won't load after update to 4.0.99
Status: CLOSED DUPLICATE of bug 456827
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-30 18:58 EDT by Scott Baker
Modified: 2008-07-30 20:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-30 20:19:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Baker 2008-07-30 18:58:23 EDT
Description of problem:
Dolphin/Konqueror won't load after upgrading KDE to rawhide 4.0.99

Version-Release number of selected component (if applicable):
4.0.99

How reproducible:
Easy

Steps to Reproduce:
1. yum upgrade kde* --enablerepo=updates-testing
2. start dolphin
  
Actual results:
[bakers@snikt ~]$ dolphin
dolphin: symbol lookup error: /usr/lib/libnepomuk.so.4: undefined symbol:
_ZN7Soprano6Client17LocalSocketClientC1EP7QObject
<unknown program name>(25632)/: Communication problem with  "dolphin" , it
probably crashed.
Error message was:  "org.freedesktop.DBus.Error.NoReply" : " "Message did not
receive a reply (timeout by message bus)" "

[bakers@snikt ~]$ rpm -qa | grep -E "^kde*"
kdebase-runtime-4.0.99-2.fc9.i386          
kdesdk-libs-4.0.99-2.fc9.i386              
kdebase-workspace-4.0.99-3.fc9.i386        
kdenetwork-4.0.99-1.fc9.1.i386             
kdelibs3-devel-3.5.9-16.fc9.i386           
kde-filesystem-4-17.fc9.noarch             
kdeedu-kstars-4.0.99-1.fc9.i386
kdebindings-4.0.99-1.fc9.i386
kdnssd-avahi-devel-0.1.3-0.6.20080116svn.fc9.i386
kdelibs-4.0.99-2.fc9.i386
kdesdk-utils-4.0.99-2.fc9.i386
kdegames-libs-4.0.99-1.fc9.i386
kdegraphics-libs-4.0.99-2.fc9.i386
kdebase-workspace-libs-4.0.99-3.fc9.i386
kdeaccessibility-4.0.99-1.fc9.i386
kdemultimedia-4.0.99-1.fc9.i386
kde-settings-pulseaudio-4.0-24.fc9.noarch
kdelibs3-3.5.9-16.fc9.i386
kdepim-3.5.9-10.fc9.i386
kdevelop-libs-3.5.2-2.fc9.i386
kdeedu-libs-4.0.99-1.fc9.i386
kdenetwork-libs-4.0.99-1.fc9.1.i386
kdeedu-math-4.0.99-1.fc9.i386
kdegames-4.0.99-1.fc9.i386
kdeedu-4.0.99-1.fc9.i386
kdesdk-4.0.99-2.fc9.i386
kdeplasma-addons-4.0.99-1.fc9.i386
kde-settings-kdm-4.0-24.fc9.noarch
kdevelop-3.5.2-2.fc9.i386
kdelibs-common-4.0.99-2.fc9.i386
kdebase-libs-4.0.99-1.fc9.i386
kdeutils-4.0.99-1.fc9.1.i386
kdnssd-avahi-0.1.3-0.6.20080116svn.fc9.i386
kde-settings-4.0-24.fc9.noarch
kdepim-libs-3.5.9-10.fc9.i386
kdebase3-pim-ioslaves-3.5.9-16.fc9.i386
kdepimlibs-4.0.99-1.fc9.i386
kdemultimedia-libs-4.0.99-1.fc9.i386
kdebase-4.0.99-1.fc9.i386
kdeartwork-4.0.99-1.fc9.i386
Comment 1 Scott Baker 2008-07-30 19:06:56 EDT
I *just* noticed that 4.1.0 hit the testing repo... I'll try updating to that
and then update the bug.
Comment 2 Rex Dieter 2008-07-30 20:08:56 EDT
Selective upgrades aren't really supported.  

In particular, you also need to also update at least:
qt soprano
Comment 3 Kevin Kofler 2008-07-30 20:19:32 EDT

*** This bug has been marked as a duplicate of 456827 ***
Comment 4 Scott Baker 2008-07-30 20:23:34 EDT
After updating to 4.1.0 the problem went away. Most likely because I also got qt
soprano.

Note You need to log in before you can comment on or make changes to this bug.